Guest User

Untitled

a guest
Aug 6th, 2019
151
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Reading package lists...
  2. Building dependency tree...
  3. Reading state information...
  4. Recommended packages:
  5. gnupg
  6. The following NEW packages will be installed:
  7. openmediavault openmediavault-keyring
  8. Preconfiguring packages ...
  9. 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
  10. Need to get 0 B/1,672 kB of archives.
  11. After this operation, 9,169 kB of additional disk space will be used.
  12. Selecting previously unselected package openmediavault-keyring.
  13. (Reading database ... 47449 files and directories currently installed.)
  14. Preparing to unpack .../openmediavault-keyring_1.0_all.deb ...
  15. Unpacking openmediavault-keyring (1.0) ...
  16. Selecting previously unselected package openmediavault.
  17. Preparing to unpack .../openmediavault_5.0.4-1_all.deb ...
  18. Unpacking openmediavault (5.0.4-1) ...
  19. Setting up openmediavault (5.0.4-1) ...
  20. Creating users/groups ...
  21. Updating local package archive ...
  22. Updating service units ...
  23. Creating configuration database ...
  24. Setting up Salt environment ...
  25. [WARNING ] Unable to find IPv6 record for "debian" causing a 0:00:10.189541 second timeout when rendering grains. Set the dns or /etc/hosts for IPv6 to clear this.
  26. [WARNING ] Unable to find IPv6 record for "debian" causing a 0:00:10.045150 second timeout when rendering grains. Set the dns or /etc/hosts for IPv6 to clear this.
  27. Setting up system ...
  28. [WARNING ] /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
  29. from collections import Iterable, Mapping
  30.  
  31. [ERROR ] Rendering exception occurred
  32. Traceback (most recent call last):
  33. File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 393, in render_jinja_tmpl
  34. output = template.render(**decoded_context)
  35. File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render
  36. return original_render(self, *args, **kwargs)
  37. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render
  38. return self.environment.handle_exception(exc_info, True)
  39. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception
  40. reraise(exc_type, exc_value, tb)
  41. File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise
  42. raise value.with_traceback(tb)
  43. File "<template>", line 57, in top-level template code
  44. File "/var/cache/salt/minion/extmods/modules/omv_utils.py", line 173, in get_root_filesystem
  45. fs = openmediavault.fs.Filesystem.from_mount_point('/')
  46. File "/usr/lib/python3/dist-packages/openmediavault/fs/__init__.py", line 95, in from_mount_point
  47. device = pyudev.Devices.from_device_number(context, 'block', st.st_dev)
  48. File "/usr/lib/python3/dist-packages/pyudev/device/_device.py", line 182, in from_device_number
  49. raise DeviceNotFoundByNumberError(typ, number)
  50. pyudev.device._errors.DeviceNotFoundByNumberError: No block device with number 22
  51.  
  52. During handling of the above exception, another exception occurred:
  53.  
  54. Traceback (most recent call last):
  55. File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 170, in render_tmpl
  56. output = render_str(tmplstr, context, tmplpath)
  57. File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 442, in render_jinja_tmpl
  58. trace=tracestr)
  59. salt.exceptions.SaltRenderError: Jinja error: No block device with number 22
  60. Traceback (most recent call last):
  61. File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 393, in render_jinja_tmpl
  62. output = template.render(**decoded_context)
  63. File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render
  64. return original_render(self, *args, **kwargs)
  65. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render
  66. return self.environment.handle_exception(exc_info, True)
  67. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception
  68. reraise(exc_type, exc_value, tb)
  69. File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise
  70. raise value.with_traceback(tb)
  71. File "<template>", line 57, in top-level template code
  72. File "/var/cache/salt/minion/extmods/modules/omv_utils.py", line 173, in get_root_filesystem
  73. fs = openmediavault.fs.Filesystem.from_mount_point('/')
  74. File "/usr/lib/python3/dist-packages/openmediavault/fs/__init__.py", line 95, in from_mount_point
  75. device = pyudev.Devices.from_device_number(context, 'block', st.st_dev)
  76. File "/usr/lib/python3/dist-packages/pyudev/device/_device.py", line 182, in from_device_number
  77. raise DeviceNotFoundByNumberError(typ, number)
  78. pyudev.device._errors.DeviceNotFoundByNumberError: No block device with number 22
  79.  
  80. ; line 57
  81.  
  82. ---
  83. [...]
  84. # "dump": "0",
  85. # "fstype": "ext4"
  86. # }
  87. {% set root_fstab_entry = fstab_entries['/'] %}
  88. # Get the device file of the root filesystem.
  89. {% set root_fs_device = salt['omv_utils.get_root_filesystem']() %} <======================
  90. # Get the parent device file of the root filesystem.
  91. {% set parent_root_fs_device = salt['omv_utils.get_fs_parent_device_file'](root_fs_device) %}
  92.  
  93. {% if nonrot_options | difference(root_fstab_entry.opts) | length > 0 and
  94. salt['omv_utils.is_block_device'](parent_root_fs_device) and
  95. [...]
  96. ---
  97. [CRITICAL] Rendering SLS 'base:omv.setup.fstab.default' failed: Jinja error: No block device with number 22
  98. Traceback (most recent call last):
  99. File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 393, in render_jinja_tmpl
  100. output = template.render(**decoded_context)
  101. File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render
  102. return original_render(self, *args, **kwargs)
  103. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render
  104. return self.environment.handle_exception(exc_info, True)
  105. File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception
  106. reraise(exc_type, exc_value, tb)
  107. File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise
  108. raise value.with_traceback(tb)
  109. File "<template>", line 57, in top-level template code
  110. File "/var/cache/salt/minion/extmods/modules/omv_utils.py", line 173, in get_root_filesystem
  111. fs = openmediavault.fs.Filesystem.from_mount_point('/')
  112. File "/usr/lib/python3/dist-packages/openmediavault/fs/__init__.py", line 95, in from_mount_point
  113. device = pyudev.Devices.from_device_number(context, 'block', st.st_dev)
  114. File "/usr/lib/python3/dist-packages/pyudev/device/_device.py", line 182, in from_device_number
  115. raise DeviceNotFoundByNumberError(typ, number)
  116. pyudev.device._errors.DeviceNotFoundByNumberError: No block device with number 22
  117.  
  118. ; line 57
  119.  
  120. ---
  121. [...]
  122. # "dump": "0",
  123. # "fstype": "ext4"
  124. # }
  125. {% set root_fstab_entry = fstab_entries['/'] %}
  126. # Get the device file of the root filesystem.
  127. {% set root_fs_device = salt['omv_utils.get_root_filesystem']() %} <======================
  128. # Get the parent device file of the root filesystem.
  129. {% set parent_root_fs_device = salt['omv_utils.get_fs_parent_device_file'](root_fs_device) %}
  130.  
  131. {% if nonrot_options | difference(root_fstab_entry.opts) | length > 0 and
  132. salt['omv_utils.is_block_device'](parent_root_fs_device) and
  133. [...]
  134. ---
  135. [ERROR ] {'out': 'highstate', 'ret': {'debian': ['Rendering SLS \'base:omv.setup.fstab.default\' failed: Jinja error: No block device with number 22\nTraceback (most recent call last):\n File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 393, in render_jinja_tmpl\n output = template.render(**decoded_context)\n File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render\n return original_render(self, *args, **kwargs)\n File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render\n return self.environment.handle_exception(exc_info, True)\n File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception\n reraise(exc_type, exc_value, tb)\n File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise\n raise value.with_traceback(tb)\n File "<template>", line 57, in top-level template code\n File "/var/cache/salt/minion/extmods/modules/omv_utils.py", line 173, in get_root_filesystem\n fs = openmediavault.fs.Filesystem.from_mount_point(\'/\')\n File "/usr/lib/python3/dist-packages/openmediavault/fs/__init__.py", line 95, in from_mount_point\n device = pyudev.Devices.from_device_number(context, \'block\', st.st_dev)\n File "/usr/lib/python3/dist-packages/pyudev/device/_device.py", line 182, in from_device_number\n raise DeviceNotFoundByNumberError(typ, number)\npyudev.device._errors.DeviceNotFoundByNumberError: No block device with number 22\n\n; line 57\n\n---\n[...]\n# "dump": "0",\n# "fstype": "ext4"\n# }\n{% set root_fstab_entry = fstab_entries[\'/\'] %}\n# Get the device file of the root filesystem.\n{% set root_fs_device = salt[\'omv_utils.get_root_filesystem\']() %} <======================\n# Get the parent device file of the root filesystem.\n{% set parent_root_fs_device = salt[\'omv_utils.get_fs_parent_device_file\'](root_fs_device) %}\n\n{% if nonrot_options | difference(root_fstab_entry.opts) | length > 0 and\n salt[\'omv_utils.is_block_device\'](parent_root_fs_device) and\n[...]\n---']}}
  136. dpkg: error processing package openmediavault (--configure):
  137. installed openmediavault package post-installation script subprocess returned error exit status 2
  138. Setting up openmediavault-keyring (1.0) ...
  139. Processing triggers for rsyslog (8.1901.0-1) ...
  140. Errors were encountered while processing:
  141. openmediavault
  142. E: Sub-process /usr/bin/dpkg returned an error code (1)
RAW Paste Data